Loading...
Searching...
No Matches
remove_if.hpp File Reference

## Functions

template<typename I , typename S , typename C , typename P = identity> requires permutable<I> && sentinel_for<S, I> && indirect_unary_predicate<C, projected<I, P>>
constexpr I | ranges::remove_if (I first, S last, C pred, P proj=P{})
| function template `remove_if`
template<typename Rng , typename C , typename P = identity> requires forward_range<Rng> && permutable<iterator_t<Rng>> && indirect_unary_predicate<C, projected<iterator_t<Rng>, P>>
constexpr borrowed_iterator_t< Rng > | ranges::remove_if (Rng &&rng, C pred, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.